package net.xuyezo.main;

import java.util.Random;

import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;
import org.bukkit.inventory.ItemStack;

public class Handler implements Listener {
	@EventHandler
	private void onBlockBreak(BlockBreakEvent e) {
		Block b = e.getBlock();
		Player p = e.getPlayer();
		if (p.getGameMode() != GameMode.SURVIVAL)
			return;

		ItemStack i = p.getInventory().getItem(p.getInventory().getHeldItemSlot());
		
		if (i != null && !i.isEmpty())
			return;

		Location loc = b.getLocation();
		loc.add(0,1.5,0);
		
		//todo: clean
		if (b.getType() == Material.STONE) {
			e.setCancelled(true);
			b.setType(Material.COBBLESTONE);
			
			b.getWorld().dropItem(loc, new ItemStack(Material.GRAVEL));
		} else if (b.getType() == Material.COBBLESTONE) {
			e.setCancelled(true);
			b.setType(Material.AIR);
			
			Material[] items = {
					Material.GRAVEL,
					Material.GRAVEL,
					Material.SAND,
					Material.SAND,
					Material.CLAY_BALL,
					Material.CLAY_BALL,
					Material.RED_SAND,
					Material.GRAVEL,
					Material.GRAVEL,
					Material.SAND,
					Material.SAND,
					Material.CLAY_BALL,
					Material.CLAY_BALL,
					Material.RED_SAND,
					Material.IRON_NUGGET
			};
			
		
			for (int j = 0; j < 3; j++) {
				Material r = items[new Random().nextInt(items.length)];
				b.getWorld().dropItem(loc, new ItemStack(r));
			}
		}
	}
}
